Skip to content

project/removejob

Unlinks one or more jobs from a project.

Method and path

POST /project/removejob

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1 and 2 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.
Content-Typeyesapplication/json.

Request body

FieldTypeRequiredDescription
project_idintegeryesProject identifier.
job_idintegerarray<integer>yes

Example request

bash
curl -X POST "$SIGNAL_API_BASE_URL/project/removejob" \
  -H "X-Api-Key: $SIGNAL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"project_id": 123, "job_id": [456, 457]}'
json
{
  "project_id": 123,
  "job_id": [456, 457]
}

Example response

json
{}

Response fields

This endpoint returns an empty JSON object on success.

Notes

  • If a detached job is no longer linked to any project, it is deactivated automatically.
  • Some validation failures are returned as HTTP 200 with an error object.

Doc rev.1.12.3 2026.05.08